locked
Windows CE or Windows Mobile 6.x RRS feed

  • Question

  • Good morning.

    My customer ask me to install an old application, develop in VB.net for Windows CE device, in a new device. This new device they can buy with Windows CE 5.x or with Windows Mobile 6.x and ask me how OS to choose. Which OS can i advise?
    Independently from the choice can i develop or "convert" the application with Vb.2008/2010 or i must instal some SDK (link?) ?

    Thanks.

    • Moved by Martin_Xie Monday, May 24, 2010 2:58 AM Move it to Windows Mobile Development forum for better support. (From:Visual Basic General)
    Friday, May 21, 2010 10:25 AM

Answers

  • Hi Fabio,

    1. with Windows CE 5.x or with Windows Mobile 6.x and ask me how OS to choose. Which OS can i advise?

    Since old application is developed for Windows CE, I suggest you buy Windows CE 5.x. Because WinCE devices have different resolution with Windows Mobile platform and other compatible issue. For more information, see the FAQ:
    Can Windows CE applications work on Windows Mobile?

     

    2. Independently from the choice can i develop or "convert" the application with Vb.2008/2010 or i must instal some SDK (link?) ?

    We can convert it to vb.2008, but not 2010, since 2010 use to develop WM7.0, which is different to previous WM platform. For installing SDK, it depend on what platform do you want to deveop and what platform the old platform is?

     

    Best regard,
    Guang-Ming Bian - MSFT


    Please remember to mark the replies as answers if they help and unmark them if they provide no help
    Monday, May 24, 2010 5:42 AM

All replies

  • Hi Fabio,

    1. with Windows CE 5.x or with Windows Mobile 6.x and ask me how OS to choose. Which OS can i advise?

    Since old application is developed for Windows CE, I suggest you buy Windows CE 5.x. Because WinCE devices have different resolution with Windows Mobile platform and other compatible issue. For more information, see the FAQ:
    Can Windows CE applications work on Windows Mobile?

     

    2. Independently from the choice can i develop or "convert" the application with Vb.2008/2010 or i must instal some SDK (link?) ?

    We can convert it to vb.2008, but not 2010, since 2010 use to develop WM7.0, which is different to previous WM platform. For installing SDK, it depend on what platform do you want to deveop and what platform the old platform is?

     

    Best regard,
    Guang-Ming Bian - MSFT


    Please remember to mark the replies as answers if they help and unmark them if they provide no help
    Monday, May 24, 2010 5:42 AM
  • Thank you Guan-Ming.
    I think own i must develop with vs.2008 also having on hand vs 2010. simply because we can find a device with wm 7. So i can "convert" the old application.

    Thank you again.

    Monday, May 24, 2010 9:10 PM
  • Hi Fabio,

    Applications Developed for previous WM platform will not run WM7.0 device, only vs2010 can develop smart device application, which will work on WM7.0 device.

     

    Best regards,
    Guang-Ming Bian - MSFT


    Please remember to mark the replies as answers if they help and unmark them if they provide no help
    Tuesday, May 25, 2010 6:17 AM